Table of Contents

Class: MetricsClientComponent | Twisted-0.17.4/twisted/metrics/client.py
--- | ---

This is a component which manages metrics variables and communicates with the MetricsManager Server.

Methods |
--- | ---
__init__ connected createCounterVariable createStateVariable doLogin incrementCounterVariable recordMetricsItem update
| __init__

    __init__ (
            self,
            reportFrequency,
            hostname,
            port,
            )

| connected

    connected ( self,  client )

This is called when a connection is established

| createCounterVariable

    createCounterVariable (
            self,
            name,
            frequency,
            )

Exceptions |
--- | ---
KeyError( "counter %s already exists" % name )

| createStateVariable

    createStateVariable (
            self,
            name,
            callback,
            frequency,
            )

Exceptions |
--- | ---
KeyError( "counter %s already exists" % name )

| doLogin

    doLogin (
            self,
            user,
            pasw,
            )

| incrementCounterVariable

    incrementCounterVariable ( self,  name )

| recordMetricsItem

    recordMetricsItem (
            self,
            name,
            value,
            when,
            )

| update

    update ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:11 2002 by HappyDoc version 2.0